Job API (v2.0)

Last Updated: 12/01/2020
Getting Started
First make sure your environment is ready to send and receive data within the R+ API framework.
Get Job Status
GET https://yoursite.demanddriventech.com/api/v2/job/status/{jobId}
Get the job status for a given job ID
Path Parameters
jobId
string
Job ID (Example value "123")
Invoke Simulation Job
POST https://yoursite.demanddriventech.com/api/v2/job/{dataSetId}/apm
Invoke a Simulation job with the provided request parameters and return the job ID. Require the role SimulatorAdmin.
Path Parameters
dataSetId
integer
Data Set ID (Example value 0, the current production data set ID)
Request Body
simulationJobRequest
object
Simulation Job Parameters
Body Parameter simulationJobRequest
simulationJobRequestProperties
Property
Type
Required
Values
Locations
array
No
An array of location strings. If provided, must contain at least one valid location. If not provided, defaults to null(global, all locations).
StartingDate
date
Yes
WeeksToSimulate
integer
No
13 to 78 (defaults to 52)
ForecastHorizonWeeks
integer
No
1 to 78 (defaults to 12)
DemandPattern
text
No
0 or Sunday
1 or Monday
2 or Tuesday
3 or Wednesday
4 or Thursday
5 or Friday
6 or Saturday
null(spread evenly)
Defaults to null
AllowDemandOnNonWorkingDays
boolean
No
0 or 1, True or False (defaults to False)
ProjectedInventoryReportCriticalPercentOfRedZone
integer
No
0 to 1000 (defaults to 0)
ProjectedInventoryReportHighPercentOfRedZone
integer
No
0 to 1000 (defaults to 50)
ProjectedInventoryReportMediumPercentOfRedZone
integer
No
0 to 1000 (defaults to 100)
ProjectedInventoryReportHorizonWeeks
integer
No
1 to 78 (defaults to 12)
PromotionReportCriticalPercentOfWeeklyDemand
integer
No
0 to 10000 (defaults to 2000)
PromotionReportHighPercentOfWeeklyDemand
integer
No
0 to 10000 (defaults to 1000)
PromotionReportMediumPercentOfWeeklyDemand
integer
No
0 to 10000 (defaults to 500)
PromotionReportHorizonWeeks
integer
No
1 to 78 (defaults to 12)
DailyUsageReportChangeCriticalPercentOfDailyUsage
integer
No
0 to 1000 (defaults to 500)
DailyUsageReportChangeHighPercentOfDailyUsage
integer
No
0 to 1000 (defaults to 200)
DailyUsageReportChangeMediumPercentOfDailyUsage
integer
No
0 to 1000 (defaults to 150)
Example Values
Last updated